/***************************************************************************
                                  ksprojectxml.h
                             -------------------
    begin                : Sun Feb 13 2000
    copyright            : (C) 2000 by Kamil Dobkowski
    email                : kamildbk@friko.onet.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSPROJECTXML_H
#define KSPROJECTXML_H

#include <qstring.h>
#include <qfile.h>

struct ksprojectxml_runtime_data;

class qmatplotShell;
/**
  * Loading/saving. When loading it adds new pages and doesn't delete old contents.
  */
class KSProjectXML
 {
  public:
    KSProjectXML( qmatplotShell *shell );
   ~KSProjectXML();

   bool saveToFile( QFile& outputFile );
   bool loadFromFile( QFile& inputFile  );


  private:
   void alloc_runtime_data();
   void free_runtime_data();
   void xml( const QString& line );
   qmatplotShell *m_shell;
   ksprojectxml_runtime_data *d;
 };

#endif
